Perl 5.6.1 supports DBI module

Perl 5.6.1 supports DBI module

Post by Sudhakara. » Sat, 20 Mar 2010 00:32:26


Hello All



I am working on Perl 5.6.1 version for my web application. I want to
know whether perl5.6.1 supports the DBI module or not, if it supports
the what is the version of DBI module.



Please let me know the answers.



Thanks in advance.





Regards

Sudhakara Reddy Peram

Desk: +91 - 40 - 30674037

Mobile: +91 - 9618909018
 
 
 

Perl 5.6.1 supports DBI module

Post by jonathan.l » Sat, 20 Mar 2010 06:24:52

On Thu, Mar 18, 2010 at 8:32 AM, Peram, Sudhakara


Why? Why not 5.6.2, 5.8.8 or 5.8.9, or even (bravado) 5.10.1?


If you choose an old enough version of DBI, then yes. You might have
to go to the BackPan though, instead of CPAN.

Hmm; 1.49 dropped support for 5.6.0 (only supporting 5.6.1 or later).
Up to 1.609, I can see no mention of not supporting 5.6.1.

So, DBI 1.609 should work for you.


--
Jonathan Leffler < XXXX@XXXXX.COM > #include <disclaimer.h>
Guardian of DBD::Informix - v2008.0513 - http://www.yqcomputer.com/
"Blessed are we who can laugh at ourselves, for we shall never cease
to be amused."

 
 
 

Perl 5.6.1 supports DBI module

Post by mnha » Sat, 20 Mar 2010 06:30:11

Hi,

DBI-1.605 was the last version not to require perl 5.8. Even though the
Readme doesn't state it, version 1.606 and newer requires 5.8.10 in the
Makefile.PL and will not let you create a makefile without some editing of
the Makefile.PL to ignore that requirement.

Regards,

Michael









--
---//---
Time flies like the wind. Fruit flies like bananas.
--- Groucho Marx

Either write something worth reading or do something worth writing.
--- Benjamin Franklin

A meeting is an event at which the minutes are kept and the hours are lost
 
 
 

Perl 5.6.1 supports DBI module

Post by hjp » Sat, 20 Mar 2010 17:29:29


ITYM 5.8.1

hp

--
_ | Peter J. Holzer | Auf jedem Computer sollte der Satz Ludwigs II
|_|_) | Sysadmin WSR | eingeprt stehen: "Ein ewig Rsel will ich
| | | XXXX@XXXXX.COM | bleiben, mir und andern."
__/ | http://www.yqcomputer.com/ | -- Wolfram Heinrich in desd